using Framework.Entities;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using UnityEngine;

namespace Project.Effects
{
    public class SongMaintainer : CoreBehaviour
    {
        void Awake()
        {
            DontDestroyOnLoad(this.gameObject);
        }

        void Update()
        {
            if (Application.loadedLevelName == "end")
            {
                Destroy(this.gameObject);
            }
        }
    }
}
